Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.metadata.iso19115
Class ISO19115Document

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.model.metadata.iso19115.ISO19115Document

All Implemented Interfaces:
  Serializable

    public class ISO19115Document

extends XMLFragment

Parser class that can parse various elements defined in the OWS subset of the ISO 19115 specification.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`ISO19115Document()`

Method Summary
`Address` | `parseAddress(Element root)`
`CitedResponsibleParty` | `parseCitedResponsibleParty(Element root)`
`Code` | `parseCode(Element root)`
`Constraints` | `parseConstraint(Element root, String fee)`
`ContactInfo` | `parseContactInfo(Element root)`
`Keywords` | `parseKeywords(Element root)`
`OnlineResource` | `parseOnlineResource(Element root)`
`Phone` | `parsePhone(Element root)`
`RoleCode` | `parseRoleCode(Element root)`
`TypeCode` | `parseTypeCode(Element root)`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ISO19115Document

    public ISO19115Document()

Method Detail

### parseCitedResponsibleParty

    public CitedResponsibleParty parseCitedResponsibleParty(Element root)
                                                     throws XMLParsingException

  Parameters:
    `root` - an element of type ows:ResponsiblePartySubsetType
  Returns:
    the data object
  Throws:
    `XMLParsingException`

### parseContactInfo

    public ContactInfo parseContactInfo(Element root)
                                 throws XMLParsingException

  Parameters:
    `root` - the ContactInfo element
  Returns:
    the `ContactInfo` data object
  Throws:
    `XMLParsingException`

### parseAddress

    public Address parseAddress(Element root)
                         throws XMLParsingException

  Parameters:
    `root` - the Address element
  Returns:
    the `Address` data object
  Throws:
    `XMLParsingException`

### parsePhone

    public Phone parsePhone(Element root)
                     throws XMLParsingException

  Parameters:
    `root` - the Phone element
  Returns:
    a `Phone` data object
  Throws:
    `XMLParsingException`

### parseOnlineResource

    public OnlineResource parseOnlineResource(Element root)
                                       throws XMLParsingException

  Parameters:
    `root` - the element containing the xlink attributes
  Returns:
    the `OnlineResource data object`
  Throws:
    `XMLParsingException`

### parseCode

    public Code parseCode(Element root)

  Parameters:
    `root` - the Code element
  Returns:
    a `Code` data object

### parseTypeCode

    public TypeCode parseTypeCode(Element root)

  Parameters:
    `root` - the Type element
  Returns:
    the `TypeCode` data object

### parseRoleCode

    public RoleCode parseRoleCode(Element root)

  Parameters:
    `root` - the Role element
  Returns:
    the `RoleCode` data object

### parseConstraint

    public Constraints parseConstraint(Element root,
                                       String fee)
                                throws XMLParsingException

  Parameters:
    `root` - the AccessConstraints element
    `fee` -
  Returns:
    the `Constraints` object containing the parsed data
  Throws:
    `XMLParsingException`

### parseKeywords

    public Keywords parseKeywords(Element root)
                           throws XMLParsingException

  Parameters:
    `root` - the Keywords element
  Returns:
    the `Keywords` object
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org